Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat
Class Target

    java.lang.Object
      com.huguesjohnson.tiamat.Target

public class Target
extends java.lang.Object

Target - represents the target of a Skill or Item

Author:
  Hugues Johnson

Field Summary
`static int` | `AFFECTED_ENTITY_ENEMY_ALL`
`static int` | `AFFECTED_ENTITY_ENEMY_SINGLE`
`static int` | `AFFECTED_ENTITY_EVERYONE`
`static int` | `AFFECTED_ENTITY_PARTY_ALL`
`static int` | `AFFECTED_ENTITY_PARTY_SINGLE`
`static int` | `AFFECTED_ENTITY_USER`
`static int` | `DEFAULT_AFFECTED_ENTITY`

Constructor Summary
`Target(java.lang.String targetPath, long value)`
`Target(java.lang.String targetPath, long value, int affectedEntity)`

Method Summary
`int` | `getAffectedEntity()`
`java.lang.String` | `getTargetPath()`
`long` | `getValue()`
`void` | `setAffectedEntity(int affectedEntity)`
`void` | `setTargetPath(java.lang.String targetPath)`
`void` | `setValue(long value)`
`java.lang.String` | `toString()` returns a string representation of the object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AFFECTED_ENTITY_USER

    public static final int AFFECTED_ENTITY_USER

See Also:
  Constant Field Values

### AFFECTED_ENTITY_PARTY_SINGLE

    public static final int AFFECTED_ENTITY_PARTY_SINGLE

See Also:
  Constant Field Values

### AFFECTED_ENTITY_PARTY_ALL

    public static final int AFFECTED_ENTITY_PARTY_ALL

See Also:
  Constant Field Values

### AFFECTED_ENTITY_ENEMY_SINGLE

    public static final int AFFECTED_ENTITY_ENEMY_SINGLE

See Also:
  Constant Field Values

### AFFECTED_ENTITY_ENEMY_ALL

    public static final int AFFECTED_ENTITY_ENEMY_ALL

See Also:
  Constant Field Values

### AFFECTED_ENTITY_EVERYONE

    public static final int AFFECTED_ENTITY_EVERYONE

See Also:
  Constant Field Values

### DEFAULT_AFFECTED_ENTITY

    public static final int DEFAULT_AFFECTED_ENTITY

See Also:
  Constant Field Values

Constructor Detail

### Target

    public Target(java.lang.String targetPath,
                  long value)

### Target

    public Target(java.lang.String targetPath,
                  long value,
                  int affectedEntity)

Method Detail

### setTargetPath

    public void setTargetPath(java.lang.String targetPath)

### getTargetPath

    public java.lang.String getTargetPath()

### setValue

    public void setValue(long value)

### getValue

    public long getValue()

### setAffectedEntity

    public void setAffectedEntity(int affectedEntity)

### getAffectedEntity

    public int getAffectedEntity()

### toString

    public java.lang.String toString()

  returns a string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD